rio_device_remove
Prev | Device model support | Next

## Name

rio_device_remove — Remove a RIO device from the system

## Synopsis

`int rio_device_remove (` | struct device * | dev`)`;

## Arguments

`dev`

  the RIO device structure to match against

## Description

Remove a RIO device from the system. If it has an associated driver, then run the driver `remove` method. Then update the reference count.

Prev | Up | Next
rio_device_probe | Home | rio_match_bus